# coding: utf-8
class Video < ActiveRecord::Base
  validates_presence_of :vid
  validates_uniqueness_of :vid

  def self.get_video_name(id)
    begin
        link = "http://gdata.youtube.com/feeds/api/videos/#{id}?alt=json"
        result = JSON.parse(open(link).read)
        name = result["entry"]["title"]["$t"]
    rescue
      nil
    end
    name
  end

  def self.get_video_name_by_url(url)
    return false if url.empty?
    get_video_name(url.match(/=([\w]+)/)[1])
  end

  def play_url
    "http://www.youtube.com/v/#{self.vid}"
  end

end
